'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _clone = require('clone');

var _clone2 = _interopRequireDefault(_clone);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /**
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * Created with WebStorm.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * User: gp
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * Date: 16-2-3
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                *
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */

//import immutable from 'immutable'


var NativeNavBar = function (_Component) {
    _inherits(NativeNavBar, _Component);

    function NativeNavBar(props, context) {
        _classCallCheck(this, NativeNavBar);

        return _possibleConstructorReturn(this, (NativeNavBar.__proto__ || Object.getPrototypeOf(NativeNavBar)).call(this, props, context));
        //通知native改变
        //this.noticeNative();
    }

    _createClass(NativeNavBar, [{
        key: 'render',
        value: function render() {
            return _react2.default.createElement('div', { className: 'navbar-native' });
        }
    }, {
        key: 'componentDidMount',
        value: function componentDidMount() {
            this.noticeNative();
        }
    }, {
        key: '_wrapConfig',
        value: function _wrapConfig(props, processFn) {

            var pageId = props.scope.pageId;
            //let cfg = immutable.fromJS({}).mergeDeep(props.navOpt).toJS();
            var cfg = (0, _clone2.default)(props.navOpt);
            var right = cfg.right;
            if (cfg.onBackClick) {
                cfg.onBackClick = 'executePageClick("onBackClick",' + pageId + ')';
            }
            if (cfg.onCloseClick) {
                cfg.onCloseClick = 'executePageClick("onCloseClick",' + pageId + ')';
            }

            if (right) {
                var comps = right.item;
                if (right.userInteraction !== false) {
                    right.userInteraction = true;
                }
                if (Array.isArray(comps)) {
                    comps.forEach(function (item, idx) {
                        if (item.onClick) {
                            item.onClick = 'executePageClick("right/item/' + idx + '/onClick",' + pageId + ')';
                        }
                    });
                } else if (comps.onClick) {
                    comps.onClick = 'executePageClick("right/item/onClick",' + pageId + ')';
                }
            }
            if (processFn) {
                processFn(cfg);
            }

            return cfg;
        }
    }, {
        key: 'noticeNative',
        value: function noticeNative(cb) {
            var cfg = this._wrapConfig(this.props);
            cordova.exec(function (info) {
                if (cb) {
                    cb(info);
                }
            }, function (error) {}, 'TopBar', 'configNavigationBar', [cfg]);
        }

        //返回上一页,主要给android返回物理键使用

    }, {
        key: 'back',
        value: function back() {
            cordova.exec(function (info) {}, function (error) {}, 'TopBar', 'back', []);
        }
    }]);

    return NativeNavBar;
}(_react.Component);

exports.default = NativeNavBar;