'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = getTheme;
/**
 * Created with WebStorm.
 * User: gp
 * Date: 16-3-1
 *
 */

function getTheme() {
    var preStyle = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];


    var $height = preStyle.height || '1.173333rem';

    var theme = {

        link: {
            lineHeight: $height,
            height: $height,
            textDecoration: 'none',
            position: 'relative',
            display: '-webkit-flex',
            MsFlexPack: 'start',
            WebkitBoxPack: 'start',
            WebkitAlignItems: 'center',
            justifyContent: 'flex-start',
            alignItems: 'center',
            WebkitBoxAlign: 'center',
            MsFlexAlign: 'center',
            fontSize: '0.4266666rem',
            marginRight: '0.2rem'
        },

        icon: {
            display: 'block',
            verticalAlign: 'middle',
            backgroundPosition: 'center',
            backgroundRepeat: 'no-repeat',
            fontStyle: 'normal',
            position: 'relative',
            width: '0.533333rem',
            height: '0.533333rem'
        },

        icons: {
            eidt: '',
            share: '',
            more: '',
            linkOpen: '',
            'delete': '',
            add: ''

        }
    };

    return theme;
}